org.apache.olingo.commons.api.data

## Class DeletedEntity

- java.lang.Object
- - org.apache.olingo.commons.api.data.Annotatable
  - - org.apache.olingo.commons.api.data.AbstractODataObject
    - - org.apache.olingo.commons.api.data.Linked
      - - org.apache.olingo.commons.api.data.Entity
        - - org.apache.olingo.commons.api.data.DeletedEntity

-     public class DeletedEntity
      extends Entity

  A deleted entity contains the reason for deletion and the id.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DeletedEntity.Reason` Reason of the removal from the list

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeletedEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `URI` | `getId()` Get id.
    `DeletedEntity.Reason` | `getReason()` Get reason for deletion.
    `void` | `setId(URI id)` Set id.
    `void` | `setReason(DeletedEntity.Reason reason)` Set reason for deletion.

    - ### Methods inherited from class org.apache.olingo.commons.api.data.Entity

      `addProperty, equals, getEditLink, getETag, getMediaContentSource, getMediaContentType, getMediaEditLinks, getMediaETag, getOperations, getProperties, getProperty, getSelfLink, getType, hashCode, isMediaEntity, setEditLink, setETag, setMediaContentSource, setMediaContentType, setMediaETag, setSelfLink, setType, toString`

    - ### Methods inherited from class org.apache.olingo.commons.api.data.Linked

      `getAssociationLink, getAssociationLinks, getNavigationBinding, getNavigationBindings, getNavigationLink, getNavigationLinks, getOneByTitle`

    - ### Methods inherited from class org.apache.olingo.commons.api.data.AbstractODataObject

      `getBaseURI, getTitle, setBaseURI, setCommonProperty`

    - ### Methods inherited from class org.apache.olingo.commons.api.data.Annotatable

      `getAnnotations`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DeletedEntity

          public DeletedEntity()

  - ### Method Detail

    - #### getId

          public URI getId()

      Get id.
      Overrides:
        `getId` in class `AbstractODataObject`
      Returns:
        id

    - #### setId

          public void setId(URI id)

      Set id.
      Overrides:
        `setId` in class `AbstractODataObject`
      Parameters:
        `id` - id

    - #### getReason

          public DeletedEntity.Reason getReason()

      Get reason for deletion.
      Returns:
        reason for deletion

    - #### setReason

          public void setReason(DeletedEntity.Reason reason)

      Set reason for deletion.
      Parameters:
        `reason` - for deletion

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.